<?php

/**

 * Credit Hub functions and definitions.

 *

 * @link https://developer.wordpress.org/themes/basics/theme-functions/

 *

 * @package Credit_Hub

 */



add_filter( 'ot_show_pages', '__return_false' );

add_filter( 'ot_show_new_layout', '__return_false' );

add_filter( 'ot_theme_mode', '__return_true' );

add_filter( 'ot_post_formats', '__return_true' );

load_template( get_template_directory() . '/admin/ot-loader.php' );



if ( ! function_exists( 'tmbd_setup' ) ) :

/**

 * Sets up theme defaults and registers support for various WordPress features.

 *

 * Note that this function is hooked into the after_setup_theme hook, which

 * runs before the init hook. The init hook is too late for some features, such

 * as indicating support for post thumbnails.

 */

function tmbd_setup() {

	/*

	 * Make theme available for translation.

	 * Translations can be filed in the /languages/ directory.

	 * If you're building a theme based on Credit Hub, use a find and replace

	 * to change 'tmbd' to the name of your theme in all the template files.

	 */

	load_theme_textdomain( 'tmbd', get_template_directory() . '/languages' );

	load_template( get_template_directory() . '/inc/theme-options.php' );



	// Add default posts and comments RSS feed links to head.

	add_theme_support( 'automatic-feed-links' );



	/*

	 * Let WordPress manage the document title.

	 * By adding theme support, we declare that this theme does not use a

	 * hard-coded <title> tag in the document head, and expect WordPress to

	 * provide it for us.

	 */

	add_theme_support( 'title-tag' );



	/*

	 * Enable support for Post Thumbnails on posts and pages.

	 *

	 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/

	 */

	add_theme_support( 'post-thumbnails' );



	// This theme uses wp_nav_menu() in one location.

	register_nav_menus( array(

		'primary' => esc_html__( 'Primary', 'tmbd' ),

	) );



	/*

	 * Switch default core markup for search form, comment form, and comments

	 * to output valid HTML5.

	 */

	add_theme_support( 'html5', array(

		'search-form',

		'comment-form',

		'comment-list',

		'gallery',

		'caption',

	) );



	// Set up the WordPress core custom background feature.

	// add_theme_support( 'custom-background', apply_filters( 'tmbd_custom_background_args', array(

	// 	'default-color' => 'ffffff',

	// 	'default-image' => '',

	// ) ) );

}

endif;

add_action( 'after_setup_theme', 'tmbd_setup' );



/**

 * Set the content width in pixels, based on the theme's design and stylesheet.

 *

 * Priority 0 to make it available to lower priority callbacks.

 *

 * @global int $content_width

 */

function tmbd_content_width() {

	$GLOBALS['content_width'] = apply_filters( 'tmbd_content_width', 640 );

}

add_action( 'after_setup_theme', 'tmbd_content_width', 0 );



/**

 * Register widget area.

 *

 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar

 */

function tmbd_widgets_init() {

	register_sidebar( array(

		'name'          => esc_html__( 'Sidebar', 'tmbd' ),

		'id'            => 'sidebar-1',

		'description'   => esc_html__( 'Add widgets here.', 'tmbd' ),

		'before_widget' => '<section id="%1$s" class="widget %2$s">',

		'after_widget'  => '</section>',

		'before_title'  => '<h3 class="widget-title">',

		'after_title'   => '</h3>',

	) );

	register_sidebar( array(

		'name'          => esc_html__( 'Footer 1', 'tmbd' ),

		'id'            => 'footer-1',

		'description'   => esc_html__( 'Add widgets here.', 'tmbd' ),

		'before_widget' => '<section id="%1$s" class="widget %2$s">',

		'after_widget'  => '</section>',

		'before_title'  => '<h3 class="footer-widget-title">',

		'after_title'   => '</h3>',

	) );

	register_sidebar( array(

		'name'          => esc_html__( 'Footer 2', 'tmbd' ),

		'id'            => 'footer-2',

		'description'   => esc_html__( 'Add widgets here.', 'tmbd' ),

		'before_widget' => '<section id="%1$s" class="widget %2$s">',

		'after_widget'  => '</section>',

		'before_title'  => '<h3 class="footer-widget-title">',

		'after_title'   => '</h3>',

	) );

	register_sidebar( array(

		'name'          => esc_html__( 'Footer 3', 'tmbd' ),

		'id'            => 'footer-3',

		'description'   => esc_html__( 'Add widgets here.', 'tmbd' ),

		'before_widget' => '<section id="%1$s" class="widget %2$s">',

		'after_widget'  => '</section>',

		'before_title'  => '<h3 class="footer-widget-title">',

		'after_title'   => '</h3>',

	) );

	register_sidebar( array(

		'name'          => esc_html__( 'Footer 4', 'tmbd' ),

		'id'            => 'footer-4',

		'description'   => esc_html__( 'Add widgets here.', 'tmbd' ),

		'before_widget' => '<section id="%1$s" class="widget %2$s">',

		'after_widget'  => '</section>',

		'before_title'  => '<h3 class="footer-widget-title">',

		'after_title'   => '</h3>',

	) );

}

add_action( 'widgets_init', 'tmbd_widgets_init' );



function custom_excerpt($new_length = 60, $new_more = '...') {

	add_filter('excerpt_length', function () use ($new_length) {

		return $new_length;

	}, 999);

	add_filter('excerpt_more', function () use ($new_more) {

		return $new_more;

	});

	$output = get_the_excerpt();

	$output = apply_filters('wptexturize', $output);

	$output = apply_filters('convert_chars', $output);

	return $output;

}



/**

 * Enqueue scripts and styles.

 */

function tmbd_scripts() {

	wp_enqueue_style( 'tmbd-style', get_stylesheet_uri() );



	wp_enqueue_style( 'tmbd-uikit-min', get_template_directory_uri() . '/css/uikit.min.css' );

	wp_enqueue_style( 'tmbd-progress', get_template_directory_uri() . '/css/components/progress.min.css' );

	wp_enqueue_style( 'tmbd-template', get_template_directory_uri() . '/css/template.css' );

	wp_enqueue_style( 'tmbd-font1', 'https://fonts.googleapis.com/css?family=Raleway:600|Open+Sans' );

	wp_enqueue_style( 'tmbd-font2', 'https://fonts.googleapis.com/css?family=Kanit:400,600' );





	wp_enqueue_script( 'tmbd-uikit-min', get_template_directory_uri() . '/js/uikit.min.js', array('jquery'), '20151215', false );

	wp_enqueue_script( 'tmbd-sticky', get_template_directory_uri() . '/js/components/sticky.min.js', array('jquery'), '20151215', false );

	wp_enqueue_script( 'tmbd-accordion', get_template_directory_uri() . '/js/components/accordion.min.js', array('jquery'), '20151215', false );

	wp_enqueue_script( 'tmbd-jquery-inview', get_template_directory_uri() . '/js/jquery.inview.min.js', array('jquery'), '20151215', true );

	wp_enqueue_script( 'tmbd-template', get_template_directory_uri() . '/js/template.js', array('jquery'), '20151215', true );



	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {

		wp_enqueue_script( 'comment-reply' );

	}

}

add_action( 'wp_enqueue_scripts', 'tmbd_scripts' );



/**

 * Implement the Custom Header feature.

 */

//require get_template_directory() . '/inc/custom-header.php';



/**

 * Custom template tags for this theme.

 */

require get_template_directory() . '/inc/template-tags.php';



/**

 * Custom functions that act independently of the theme templates.

 */

require get_template_directory() . '/inc/extras.php';



/**

 * Customizer additions.

 */

require get_template_directory() . '/inc/customizer.php';



/**

 * Load Jetpack compatibility file.

 */

require get_template_directory() . '/inc/jetpack.php';



/**

 * Load uikit-menu-walker file.

 */

require get_template_directory() . '/inc/uikit-menu-walker.php';



/**

 * Load uikit-menu-walker file.

 */

require get_template_directory() . '/inc/uikit-menu-walker-offset.php';

